.custom-slider {
  -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
  width: 100%; /* Specific width is required for Firefox. */ }

.custom-slider::-webkit-slider-thumb {
  -webkit-appearance: none; }

.custom-slider:focus {
  outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */ }

.custom-slider::-ms-track {
  width: 100%;
  cursor: pointer;
  background: transparent; /* Hides the slider so custom styles can be added */
  border-color: transparent;
  color: transparent; }

/* Special styling for WebKit/Blink */
.custom-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  border: 1px solid #222;
  box-shadow: 1px 1px 1px #000;
  height: 18px;
  width: 18px;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;
  margin-top: -5px; /* You need to specify a margin in Chrome, but in Firefox and IE it is automatic */}

/* All the same stuff for Firefox */
.custom-slider::-moz-range-thumb {
  border: 1px solid #222;
  box-shadow: 1px 1px 1px #000;
  height: 18px;
  width: 18px;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;}

/* All the same stuff for IE */
.custom-slider::-ms-thumb {
  border: 1px solid #222;
  box-shadow: 1px 1px 1px #000;
  height: 18px;
  width: 18px;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;}
  
.custom-slider::-webkit-slider-runnable-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: #3071a9;
  border-radius: 1.3px;
  border: 0.2px solid #010101;}
  
.custom-slider::-moz-range-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: #3071a9;
  border-radius: 1.3px;
  border: 0.2px solid #010101;}
  
.custom-slider::-ms-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  border-width: 16px 0;
  color: transparent;}
    
.custom-slider::-ms-fill-lower {
  background: #2a6495;
  border: 0.2px solid #010101;
  border-radius: 2.6px;}

.slider-disabled::-ms-fill-upper {
  background: #3071a9;
  border: 0.2px solid #010101;
  border-radius: 2.6px;}

.slider-disabled::-webkit-slider-runnable-track {
  background: #fff !important;}

.slider-disabled::-moz-range-track {
  background: #fff !important;}

.slider-disabled::-ms-fill-lower {
  background: #fff !important;}

.slider-disabled::-ms-fill-upper {
  background: #fff !important;}

.slider-value {
  font-size: smaller;
  font-weight: bold;
  margin-top: 10px;}
